/**
 * Copyright (C) 2012 - 2013 Xeiam LLC http://xeiam.com
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package com.xeiam.xchange.oer.dto.marketdata;

import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * The exchange rates. Purposely made not immutable due to lack of motivation to crate monster constructor
 * 
 * @author timmolter
 */
public class Rates {

  private double aED;
  private double aFN;
  private double aLL;
  private double aMD;
  private double aNG;
  private double aOA;
  private double aRS;
  private double aUD;
  private double aWG;
  private double aZN;
  private double bAM;
  private double bBD;
  private double bDT;
  private double bGN;
  private double bHD;
  private double bIF;
  private double bMD;
  private double bND;
  private double bOB;
  private double bRL;
  private double bSD;
  private double bTC;
  private double bTN;
  private double bWP;
  private double bYR;
  private double bZD;
  private double cAD;
  private double cDF;
  private double cHF;
  private double cLF;
  private double cLP;
  private double cNY;
  private double cOP;
  private double cRC;
  private double cUP;
  private double cVE;
  private double cZK;
  private double dJF;
  private double dKK;
  private double dOP;
  private double dZD;
  private double eEK;
  private double eGP;
  private double eTB;
  private double eUR;
  private double fJD;
  private double fKP;
  private double gBP;
  private double gEL;
  private double gHS;
  private double gIP;
  private double gMD;
  private double gNF;
  private double gTQ;
  private double gYD;
  private double hKD;
  private double hNL;
  private double hRK;
  private double hTG;
  private double hUF;
  private double iDR;
  private double iLS;
  private double iNR;
  private double iQD;
  private double iRR;
  private double iSK;
  private double jEP;
  private double jMD;
  private double jOD;
  private double jPY;
  private double kES;
  private double kGS;
  private double kHR;
  private double kMF;
  private double kPW;
  private double kRW;
  private double kWD;
  private double kYD;
  private double kZT;
  private double lAK;
  private double lBP;
  private double lKR;
  private double lRD;
  private double lSL;
  private double lTL;
  private double lVL;
  private double lYD;
  private double mAD;
  private double mDL;
  private double mGA;
  private double mKD;
  private double mMK;
  private double mNT;
  private double mOP;
  private double mRO;
  private double mUR;
  private double mVR;
  private double mWK;
  private double mXN;
  private double mYR;
  private double mZN;
  private double nAD;
  private double nGN;
  private double nIO;
  private double nOK;
  private double nPR;
  private double nZD;
  private double oMR;
  private double pAB;
  private double pEN;
  private double pGK;
  private double pHP;
  private double pKR;
  private double pLN;
  private double pYG;
  private double qAR;
  private double rON;
  private double rSD;
  private double rUB;
  private double rWF;
  private double sAR;
  private double sBD;
  private double sCR;
  private double sDG;
  private double sEK;
  private double sGD;
  private double sHP;
  private double sLL;
  private double sOS;
  private double sRD;
  private double sTD;
  private double sVC;
  private double sYP;
  private double sZL;
  private double tHB;
  private double tJS;
  private double tMT;
  private double tND;
  private double tOP;
  private double tRY;
  private double tTD;
  private double tWD;
  private double tZS;
  private double uAH;
  private double uGX;
  private double uSD;
  private double uYU;
  private double uZS;
  private double vEF;
  private double vND;
  private double vUV;
  private double wST;
  private double xAF;
  private double xCD;
  private double xDR;
  private double xOF;
  private double xPF;
  private double yER;
  private double zAR;
  private double zMK;
  private double zWL;

  public double getAED() {

    return this.aED;
  }

  @JsonProperty("AED")
  public void setAED(double aED) {

    this.aED = aED;
  }

  public double getAFN() {

    return this.aFN;
  }

  @JsonProperty("AFN")
  public void setAFN(double aFN) {

    this.aFN = aFN;
  }

  public double getALL() {

    return this.aLL;
  }

  @JsonProperty("ALL")
  public void setALL(double aLL) {

    this.aLL = aLL;
  }

  public double getAMD() {

    return this.aMD;
  }

  @JsonProperty("AMD")
  public void setAMD(double aMD) {

    this.aMD = aMD;
  }

  public double getANG() {

    return this.aNG;
  }

  @JsonProperty("ANG")
  public void setANG(double aNG) {

    this.aNG = aNG;
  }

  public double getAOA() {

    return this.aOA;
  }

  @JsonProperty("AOA")
  public void setAOA(double aOA) {

    this.aOA = aOA;
  }

  public double getARS() {

    return this.aRS;
  }

  @JsonProperty("ARS")
  public void setARS(double aRS) {

    this.aRS = aRS;
  }

  public double getAUD() {

    return this.aUD;
  }

  @JsonProperty("AUD")
  public void setAUD(double aUD) {

    this.aUD = aUD;
  }

  public double getAWG() {

    return this.aWG;
  }

  @JsonProperty("AWG")
  public void setAWG(double aWG) {

    this.aWG = aWG;
  }

  public double getAZN() {

    return this.aZN;
  }

  @JsonProperty("AZN")
  public void setAZN(double aZN) {

    this.aZN = aZN;
  }

  public double getBAM() {

    return this.bAM;
  }

  @JsonProperty("BAM")
  public void setBAM(double bAM) {

    this.bAM = bAM;
  }

  public double getBBD() {

    return this.bBD;
  }

  @JsonProperty("BBD")
  public void setBBD(double bBD) {

    this.bBD = bBD;
  }

  public double getBDT() {

    return this.bDT;
  }

  @JsonProperty("BDT")
  public void setBDT(double bDT) {

    this.bDT = bDT;
  }

  public double getBGN() {

    return this.bGN;
  }

  @JsonProperty("BGN")
  public void setBGN(double bGN) {

    this.bGN = bGN;
  }

  public double getBHD() {

    return this.bHD;
  }

  @JsonProperty("BHD")
  public void setBHD(double bHD) {

    this.bHD = bHD;
  }

  public double getBIF() {

    return this.bIF;
  }

  @JsonProperty("BIF")
  public void setBIF(double bIF) {

    this.bIF = bIF;
  }

  public double getBMD() {

    return this.bMD;
  }

  @JsonProperty("BMD")
  public void setBMD(double bMD) {

    this.bMD = bMD;
  }

  public double getBND() {

    return this.bND;
  }

  @JsonProperty("BND")
  public void setBND(double bND) {

    this.bND = bND;
  }

  public double getBOB() {

    return this.bOB;
  }

  @JsonProperty("BOB")
  public void setBOB(double bOB) {

    this.bOB = bOB;
  }

  public double getBRL() {

    return this.bRL;
  }

  @JsonProperty("BRL")
  public void setBRL(double bRL) {

    this.bRL = bRL;
  }

  public double getBSD() {

    return this.bSD;
  }

  @JsonProperty("BSD")
  public void setBSD(double bSD) {

    this.bSD = bSD;
  }

  public double getBTC() {

    return this.bTC;
  }

  @JsonProperty("BTC")
  public void setBTC(double bTC) {

    this.bTC = bTC;
  }

  public double getBTN() {

    return this.bTN;
  }

  @JsonProperty("BTN")
  public void setBTN(double bTN) {

    this.bTN = bTN;
  }

  public double getBWP() {

    return this.bWP;
  }

  @JsonProperty("BWP")
  public void setBWP(double bWP) {

    this.bWP = bWP;
  }

  public double getBYR() {

    return this.bYR;
  }

  @JsonProperty("BYR")
  public void setBYR(double bYR) {

    this.bYR = bYR;
  }

  public double getBZD() {

    return this.bZD;
  }

  @JsonProperty("BZD")
  public void setBZD(double bZD) {

    this.bZD = bZD;
  }

  public double getCAD() {

    return this.cAD;
  }

  @JsonProperty("CAD")
  public void setCAD(double cAD) {

    this.cAD = cAD;
  }

  public double getCDF() {

    return this.cDF;
  }

  @JsonProperty("CDF")
  public void setCDF(double cDF) {

    this.cDF = cDF;
  }

  public double getCHF() {

    return this.cHF;
  }

  @JsonProperty("CHF")
  public void setCHF(double cHF) {

    this.cHF = cHF;
  }

  public double getCLF() {

    return this.cLF;
  }

  @JsonProperty("CLF")
  public void setCLF(double cLF) {

    this.cLF = cLF;
  }

  public double getCLP() {

    return this.cLP;
  }

  @JsonProperty("CLP")
  public void setCLP(double cLP) {

    this.cLP = cLP;
  }

  public double getCNY() {

    return this.cNY;
  }

  @JsonProperty("CNY")
  public void setCNY(double cNY) {

    this.cNY = cNY;
  }

  public double getCOP() {

    return this.cOP;
  }

  @JsonProperty("COP")
  public void setCOP(double cOP) {

    this.cOP = cOP;
  }

  public double getCRC() {

    return this.cRC;
  }

  @JsonProperty("CRC")
  public void setCRC(double cRC) {

    this.cRC = cRC;
  }

  public double getCUP() {

    return this.cUP;
  }

  @JsonProperty("CUP")
  public void setCUP(double cUP) {

    this.cUP = cUP;
  }

  public double getCVE() {

    return this.cVE;
  }

  @JsonProperty("CVE")
  public void setCVE(double cVE) {

    this.cVE = cVE;
  }

  public double getCZK() {

    return this.cZK;
  }

  @JsonProperty("CZK")
  public void setCZK(double cZK) {

    this.cZK = cZK;
  }

  public double getDJF() {

    return this.dJF;
  }

  @JsonProperty("DJF")
  public void setDJF(double dJF) {

    this.dJF = dJF;
  }

  public double getDKK() {

    return this.dKK;
  }

  @JsonProperty("DKK")
  public void setDKK(double dKK) {

    this.dKK = dKK;
  }

  public double getDOP() {

    return this.dOP;
  }

  @JsonProperty("DOP")
  public void setDOP(double dOP) {

    this.dOP = dOP;
  }

  public double getDZD() {

    return this.dZD;
  }

  @JsonProperty("DZD")
  public void setDZD(double dZD) {

    this.dZD = dZD;
  }

  public double getEEK() {

    return this.eEK;
  }

  @JsonProperty("EEK")
  public void setEEK(double eEK) {

    this.eEK = eEK;
  }

  public double getEGP() {

    return this.eGP;
  }

  @JsonProperty("EGP")
  public void setEGP(double eGP) {

    this.eGP = eGP;
  }

  public double getETB() {

    return this.eTB;
  }

  @JsonProperty("ETB")
  public void setETB(double eTB) {

    this.eTB = eTB;
  }

  public double getEUR() {

    return this.eUR;
  }

  @JsonProperty("EUR")
  public void setEUR(double eUR) {

    this.eUR = eUR;
  }

  public double getFJD() {

    return this.fJD;
  }

  @JsonProperty("FJD")
  public void setFJD(double fJD) {

    this.fJD = fJD;
  }

  public double getFKP() {

    return this.fKP;
  }

  @JsonProperty("FKP")
  public void setFKP(double fKP) {

    this.fKP = fKP;
  }

  public double getGBP() {

    return this.gBP;
  }

  @JsonProperty("GBP")
  public void setGBP(double gBP) {

    this.gBP = gBP;
  }

  public double getGEL() {

    return this.gEL;
  }

  @JsonProperty("GEL")
  public void setGEL(double gEL) {

    this.gEL = gEL;
  }

  public double getGHS() {

    return this.gHS;
  }

  @JsonProperty("GHS")
  public void setGHS(double gHS) {

    this.gHS = gHS;
  }

  public double getGIP() {

    return this.gIP;
  }

  @JsonProperty("GIP")
  public void setGIP(double gIP) {

    this.gIP = gIP;
  }

  public double getGMD() {

    return this.gMD;
  }

  @JsonProperty("GMD")
  public void setGMD(double gMD) {

    this.gMD = gMD;
  }

  public double getGNF() {

    return this.gNF;
  }

  @JsonProperty("GNF")
  public void setGNF(double gNF) {

    this.gNF = gNF;
  }

  public double getGTQ() {

    return this.gTQ;
  }

  @JsonProperty("GTQ")
  public void setGTQ(double gTQ) {

    this.gTQ = gTQ;
  }

  public double getGYD() {

    return this.gYD;
  }

  @JsonProperty("GYD")
  public void setGYD(double gYD) {

    this.gYD = gYD;
  }

  public double getHKD() {

    return this.hKD;
  }

  @JsonProperty("HKD")
  public void setHKD(double hKD) {

    this.hKD = hKD;
  }

  public double getHNL() {

    return this.hNL;
  }

  @JsonProperty("HNL")
  public void setHNL(double hNL) {

    this.hNL = hNL;
  }

  public double getHRK() {

    return this.hRK;
  }

  @JsonProperty("HRK")
  public void setHRK(double hRK) {

    this.hRK = hRK;
  }

  public double getHTG() {

    return this.hTG;
  }

  @JsonProperty("HTG")
  public void setHTG(double hTG) {

    this.hTG = hTG;
  }

  public double getHUF() {

    return this.hUF;
  }

  @JsonProperty("HUF")
  public void setHUF(double hUF) {

    this.hUF = hUF;
  }

  public double getIDR() {

    return this.iDR;
  }

  @JsonProperty("IDR")
  public void setIDR(double iDR) {

    this.iDR = iDR;
  }

  public double getILS() {

    return this.iLS;
  }

  @JsonProperty("ILS")
  public void setILS(double iLS) {

    this.iLS = iLS;
  }

  public double getINR() {

    return this.iNR;
  }

  @JsonProperty("INR")
  public void setINR(double iNR) {

    this.iNR = iNR;
  }

  public double getIQD() {

    return this.iQD;
  }

  @JsonProperty("IQD")
  public void setIQD(double iQD) {

    this.iQD = iQD;
  }

  public double getIRR() {

    return this.iRR;
  }

  @JsonProperty("IRR")
  public void setIRR(double iRR) {

    this.iRR = iRR;
  }

  public double getISK() {

    return this.iSK;
  }

  @JsonProperty("ISK")
  public void setISK(double iSK) {

    this.iSK = iSK;
  }

  public double getJEP() {

    return this.jEP;
  }

  @JsonProperty("JEP")
  public void setJEP(double jEP) {

    this.jEP = jEP;
  }

  public double getJMD() {

    return this.jMD;
  }

  @JsonProperty("JMD")
  public void setJMD(double jMD) {

    this.jMD = jMD;
  }

  public double getJOD() {

    return this.jOD;
  }

  @JsonProperty("JOD")
  public void setJOD(double jOD) {

    this.jOD = jOD;
  }

  public double getJPY() {

    return this.jPY;
  }

  @JsonProperty("JPY")
  public void setJPY(double jPY) {

    this.jPY = jPY;
  }

  public double getKES() {

    return this.kES;
  }

  @JsonProperty("KES")
  public void setKES(double kES) {

    this.kES = kES;
  }

  public double getKGS() {

    return this.kGS;
  }

  @JsonProperty("KGS")
  public void setKGS(double kGS) {

    this.kGS = kGS;
  }

  public double getKHR() {

    return this.kHR;
  }

  @JsonProperty("KHR")
  public void setKHR(double kHR) {

    this.kHR = kHR;
  }

  public double getKMF() {

    return this.kMF;
  }

  @JsonProperty("KMF")
  public void setKMF(double kMF) {

    this.kMF = kMF;
  }

  public double getKPW() {

    return this.kPW;
  }

  @JsonProperty("KPW")
  public void setKPW(double kPW) {

    this.kPW = kPW;
  }

  public double getKRW() {

    return this.kRW;
  }

  @JsonProperty("KRW")
  public void setKRW(double kRW) {

    this.kRW = kRW;
  }

  public double getKWD() {

    return this.kWD;
  }

  @JsonProperty("KWD")
  public void setKWD(double kWD) {

    this.kWD = kWD;
  }

  public double getKYD() {

    return this.kYD;
  }

  @JsonProperty("KYD")
  public void setKYD(double kYD) {

    this.kYD = kYD;
  }

  public double getKZT() {

    return this.kZT;
  }

  @JsonProperty("KZT")
  public void setKZT(double kZT) {

    this.kZT = kZT;
  }

  public double getLAK() {

    return this.lAK;
  }

  @JsonProperty("LAK")
  public void setLAK(double lAK) {

    this.lAK = lAK;
  }

  public double getLBP() {

    return this.lBP;
  }

  @JsonProperty("LBP")
  public void setLBP(double lBP) {

    this.lBP = lBP;
  }

  public double getLKR() {

    return this.lKR;
  }

  @JsonProperty("LKR")
  public void setLKR(double lKR) {

    this.lKR = lKR;
  }

  public double getLRD() {

    return this.lRD;
  }

  @JsonProperty("LRD")
  public void setLRD(double lRD) {

    this.lRD = lRD;
  }

  public double getLSL() {

    return this.lSL;
  }

  @JsonProperty("LSL")
  public void setLSL(double lSL) {

    this.lSL = lSL;
  }

  public double getLTL() {

    return this.lTL;
  }

  @JsonProperty("LTL")
  public void setLTL(double lTL) {

    this.lTL = lTL;
  }

  public double getLVL() {

    return this.lVL;
  }

  @JsonProperty("LVL")
  public void setLVL(double lVL) {

    this.lVL = lVL;
  }

  public double getLYD() {

    return this.lYD;
  }

  @JsonProperty("LYD")
  public void setLYD(double lYD) {

    this.lYD = lYD;
  }

  public double getMAD() {

    return this.mAD;
  }

  @JsonProperty("MAD")
  public void setMAD(double mAD) {

    this.mAD = mAD;
  }

  public double getMDL() {

    return this.mDL;
  }

  @JsonProperty("MDL")
  public void setMDL(double mDL) {

    this.mDL = mDL;
  }

  public double getMGA() {

    return this.mGA;
  }

  @JsonProperty("MGA")
  public void setMGA(double mGA) {

    this.mGA = mGA;
  }

  public double getMKD() {

    return this.mKD;
  }

  @JsonProperty("MKD")
  public void setMKD(double mKD) {

    this.mKD = mKD;
  }

  public double getMMK() {

    return this.mMK;
  }

  @JsonProperty("MMK")
  public void setMMK(double mMK) {

    this.mMK = mMK;
  }

  public double getMNT() {

    return this.mNT;
  }

  @JsonProperty("MNT")
  public void setMNT(double mNT) {

    this.mNT = mNT;
  }

  public double getMOP() {

    return this.mOP;
  }

  @JsonProperty("MOP")
  public void setMOP(double mOP) {

    this.mOP = mOP;
  }

  public double getMRO() {

    return this.mRO;
  }

  @JsonProperty("MRO")
  public void setMRO(double mRO) {

    this.mRO = mRO;
  }

  public double getMUR() {

    return this.mUR;
  }

  @JsonProperty("MUR")
  public void setMUR(double mUR) {

    this.mUR = mUR;
  }

  public double getMVR() {

    return this.mVR;
  }

  @JsonProperty("MVR")
  public void setMVR(double mVR) {

    this.mVR = mVR;
  }

  public double getMWK() {

    return this.mWK;
  }

  @JsonProperty("MWK")
  public void setMWK(double mWK) {

    this.mWK = mWK;
  }

  public double getMXN() {

    return this.mXN;
  }

  @JsonProperty("MXN")
  public void setMXN(double mXN) {

    this.mXN = mXN;
  }

  public double getMYR() {

    return this.mYR;
  }

  @JsonProperty("MYR")
  public void setMYR(double mYR) {

    this.mYR = mYR;
  }

  public double getMZN() {

    return this.mZN;
  }

  @JsonProperty("MZN")
  public void setMZN(double mZN) {

    this.mZN = mZN;
  }

  public double getNAD() {

    return this.nAD;
  }

  @JsonProperty("NAD")
  public void setNAD(double nAD) {

    this.nAD = nAD;
  }

  public double getNGN() {

    return this.nGN;
  }

  @JsonProperty("NGN")
  public void setNGN(double nGN) {

    this.nGN = nGN;
  }

  public double getNIO() {

    return this.nIO;
  }

  @JsonProperty("NIO")
  public void setNIO(double nIO) {

    this.nIO = nIO;
  }

  public double getNOK() {

    return this.nOK;
  }

  @JsonProperty("NOK")
  public void setNOK(double nOK) {

    this.nOK = nOK;
  }

  public double getNPR() {

    return this.nPR;
  }

  @JsonProperty("NPR")
  public void setNPR(double nPR) {

    this.nPR = nPR;
  }

  public double getNZD() {

    return this.nZD;
  }

  @JsonProperty("NZD")
  public void setNZD(double nZD) {

    this.nZD = nZD;
  }

  public double getOMR() {

    return this.oMR;
  }

  @JsonProperty("OMR")
  public void setOMR(double oMR) {

    this.oMR = oMR;
  }

  public double getPAB() {

    return this.pAB;
  }

  @JsonProperty("PAB")
  public void setPAB(double pAB) {

    this.pAB = pAB;
  }

  public double getPEN() {

    return this.pEN;
  }

  @JsonProperty("PEN")
  public void setPEN(double pEN) {

    this.pEN = pEN;
  }

  public double getPGK() {

    return this.pGK;
  }

  @JsonProperty("PGK")
  public void setPGK(double pGK) {

    this.pGK = pGK;
  }

  public double getPHP() {

    return this.pHP;
  }

  @JsonProperty("PHP")
  public void setPHP(double pHP) {

    this.pHP = pHP;
  }

  public double getPKR() {

    return this.pKR;
  }

  @JsonProperty("PKR")
  public void setPKR(double pKR) {

    this.pKR = pKR;
  }

  public double getPLN() {

    return this.pLN;
  }

  @JsonProperty("PLN")
  public void setPLN(double pLN) {

    this.pLN = pLN;
  }

  public double getPYG() {

    return this.pYG;
  }

  @JsonProperty("PYG")
  public void setPYG(double pYG) {

    this.pYG = pYG;
  }

  public double getQAR() {

    return this.qAR;
  }

  @JsonProperty("QAR")
  public void setQAR(double qAR) {

    this.qAR = qAR;
  }

  public double getRON() {

    return this.rON;
  }

  @JsonProperty("RON")
  public void setRON(double rON) {

    this.rON = rON;
  }

  public double getRSD() {

    return this.rSD;
  }

  @JsonProperty("RSD")
  public void setRSD(double rSD) {

    this.rSD = rSD;
  }

  public double getRUB() {

    return this.rUB;
  }

  @JsonProperty("RUB")
  public void setRUB(double rUB) {

    this.rUB = rUB;
  }

  public double getRWF() {

    return this.rWF;
  }

  @JsonProperty("RWF")
  public void setRWF(double rWF) {

    this.rWF = rWF;
  }

  public double getSAR() {

    return this.sAR;
  }

  @JsonProperty("SAR")
  public void setSAR(double sAR) {

    this.sAR = sAR;
  }

  public double getSBD() {

    return this.sBD;
  }

  @JsonProperty("SBD")
  public void setSBD(double sBD) {

    this.sBD = sBD;
  }

  public double getSCR() {

    return this.sCR;
  }

  @JsonProperty("SCR")
  public void setSCR(double sCR) {

    this.sCR = sCR;
  }

  public double getSDG() {

    return this.sDG;
  }

  @JsonProperty("SDG")
  public void setSDG(double sDG) {

    this.sDG = sDG;
  }

  public double getSEK() {

    return this.sEK;
  }

  @JsonProperty("SEK")
  public void setSEK(double sEK) {

    this.sEK = sEK;
  }

  public double getSGD() {

    return this.sGD;
  }

  @JsonProperty("SGD")
  public void setSGD(double sGD) {

    this.sGD = sGD;
  }

  public double getSHP() {

    return this.sHP;
  }

  @JsonProperty("SHP")
  public void setSHP(double sHP) {

    this.sHP = sHP;
  }

  public double getSLL() {

    return this.sLL;
  }

  @JsonProperty("SLL")
  public void setSLL(double sLL) {

    this.sLL = sLL;
  }

  public double getSOS() {

    return this.sOS;
  }

  @JsonProperty("SOS")
  public void setSOS(double sOS) {

    this.sOS = sOS;
  }

  public double getSRD() {

    return this.sRD;
  }

  @JsonProperty("SRD")
  public void setSRD(double sRD) {

    this.sRD = sRD;
  }

  public double getSTD() {

    return this.sTD;
  }

  @JsonProperty("STD")
  public void setSTD(double sTD) {

    this.sTD = sTD;
  }

  public double getSVC() {

    return this.sVC;
  }

  @JsonProperty("SVC")
  public void setSVC(double sVC) {

    this.sVC = sVC;
  }

  public double getSYP() {

    return this.sYP;
  }

  @JsonProperty("SYP")
  public void setSYP(double sYP) {

    this.sYP = sYP;
  }

  public double getSZL() {

    return this.sZL;
  }

  @JsonProperty("SZL")
  public void setSZL(double sZL) {

    this.sZL = sZL;
  }

  public double getTHB() {

    return this.tHB;
  }

  @JsonProperty("THB")
  public void setTHB(double tHB) {

    this.tHB = tHB;
  }

  public double getTJS() {

    return this.tJS;
  }

  @JsonProperty("TJS")
  public void setTJS(double tJS) {

    this.tJS = tJS;
  }

  public double getTMT() {

    return this.tMT;
  }

  @JsonProperty("TMT")
  public void setTMT(double tMT) {

    this.tMT = tMT;
  }

  public double getTND() {

    return this.tND;
  }

  @JsonProperty("TND")
  public void setTND(double tND) {

    this.tND = tND;
  }

  public double getTOP() {

    return this.tOP;
  }

  @JsonProperty("TOP")
  public void setTOP(double tOP) {

    this.tOP = tOP;
  }

  public double getTRY() {

    return this.tRY;
  }

  @JsonProperty("TRY")
  public void setTRY(double tRY) {

    this.tRY = tRY;
  }

  public double getTTD() {

    return this.tTD;
  }

  @JsonProperty("TTD")
  public void setTTD(double tTD) {

    this.tTD = tTD;
  }

  public double getTWD() {

    return this.tWD;
  }

  @JsonProperty("TWD")
  public void setTWD(double tWD) {

    this.tWD = tWD;
  }

  public double getTZS() {

    return this.tZS;
  }

  @JsonProperty("TZS")
  public void setTZS(double tZS) {

    this.tZS = tZS;
  }

  public double getUAH() {

    return this.uAH;
  }

  @JsonProperty("UAH")
  public void setUAH(double uAH) {

    this.uAH = uAH;
  }

  public double getUGX() {

    return this.uGX;
  }

  @JsonProperty("UGX")
  public void setUGX(double uGX) {

    this.uGX = uGX;
  }

  public double getUSD() {

    return this.uSD;
  }

  @JsonProperty("USD")
  public void setUSD(double uSD) {

    this.uSD = uSD;
  }

  public double getUYU() {

    return this.uYU;
  }

  @JsonProperty("UYU")
  public void setUYU(double uYU) {

    this.uYU = uYU;
  }

  public double getUZS() {

    return this.uZS;
  }

  @JsonProperty("UZS")
  public void setUZS(double uZS) {

    this.uZS = uZS;
  }

  public double getVEF() {

    return this.vEF;
  }

  @JsonProperty("VEF")
  public void setVEF(double vEF) {

    this.vEF = vEF;
  }

  public double getVND() {

    return this.vND;
  }

  @JsonProperty("VND")
  public void setVND(double vND) {

    this.vND = vND;
  }

  public double getVUV() {

    return this.vUV;
  }

  @JsonProperty("VUV")
  public void setVUV(double vUV) {

    this.vUV = vUV;
  }

  public double getWST() {

    return this.wST;
  }

  @JsonProperty("WST")
  public void setWST(double wST) {

    this.wST = wST;
  }

  public double getXAF() {

    return this.xAF;
  }

  @JsonProperty("XAF")
  public void setXAF(double xAF) {

    this.xAF = xAF;
  }

  public double getXCD() {

    return this.xCD;
  }

  @JsonProperty("XCD")
  public void setXCD(double xCD) {

    this.xCD = xCD;
  }

  public double getXDR() {

    return this.xDR;
  }

  @JsonProperty("XDR")
  public void setXDR(double xDR) {

    this.xDR = xDR;
  }

  public double getXOF() {

    return this.xOF;
  }

  @JsonProperty("XOF")
  public void setXOF(double xOF) {

    this.xOF = xOF;
  }

  public double getXPF() {

    return this.xPF;
  }

  @JsonProperty("XPF")
  public void setXPF(double xPF) {

    this.xPF = xPF;
  }

  public double getYER() {

    return this.yER;
  }

  @JsonProperty("YER")
  public void setYER(double yER) {

    this.yER = yER;
  }

  public double getZAR() {

    return this.zAR;
  }

  @JsonProperty("ZAR")
  public void setZAR(double zAR) {

    this.zAR = zAR;
  }

  public double getZMK() {

    return this.zMK;
  }

  @JsonProperty("ZMK")
  public void setZMK(double zMK) {

    this.zMK = zMK;
  }

  public double getZWL() {

    return this.zWL;
  }

  @JsonProperty("ZWL")
  public void setZWL(double zWL) {

    this.zWL = zWL;
  }
}
